Update a group
curl --request PUT \
--url https://api-{region}.sesametime.com/core/v3/entity-groups/{entityGroupId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"groupId": "<string>",
"parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"showGroup": true,
"costCenter": true
}
'import requests
url = "https://api-{region}.sesametime.com/core/v3/entity-groups/{entityGroupId}"
payload = {
"name": "<string>",
"groupId": "<string>",
"parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"showGroup": True,
"costCenter": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
groupId: '<string>',
parentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>',
showGroup: true,
costCenter: true
})
};
fetch('https://api-{region}.sesametime.com/core/v3/entity-groups/{entityGroupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.Entity Groups
Update a group
Updates an existing entity group with the provided data. Only the name field is required, other fields are optional.
PUT
/
core
/
v3
/
entity-groups
/
{entityGroupId}
Update a group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Entity Group ID
Body
application/json
Group object that needs to be updated
The name of the group
The Id of the group for business use
The Id of the group parent, null if has no parent
A description for the group
If the group should be shown
If the group acts as a cost center
Response
204 - undefined
Was this page helpful?
⌘I